unit Unit1;

interface

uses
    Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
    System.Classes, Vcl.Graphics,
    Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvUtil, Vcl.StdCtrls, Vcl.Grids,
    AdvObj, BaseGrid, AdvGrid, AdvCGrid;

type
    TForm1 = class(TForm)
        AdvColumnGrid1: TAdvColumnGrid;
    bGroup: TButton;
    bHide: TButton;
    bUnHide: TButton;
    Memo1: TMemo;
        procedure FormCreate(Sender: TObject);
    procedure bGroupClick(Sender: TObject);
    procedure bHideClick(Sender: TObject);
    procedure bUnHideClick(Sender: TObject);
    private
        { Dclarations prives }
    public
        { Dclarations publiques }
    end;

var
    Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.bGroupClick(Sender: TObject);

begin
    IF AdvColumnGrid1.GroupColumn > -1 THEN
       AdvColumnGrid1.UnGroup;
    AdvColumnGrid1.Group(1);
end;

procedure TForm1.bHideClick(Sender: TObject);
var
i :integer;
begin
 FOR i := 1 TO 15 DO
    BEGIN
        IF AdvColumnGrid1.IsNode(i) AND (AdvColumnGrid1.Cells[1, i] <> '2') THEN
        BEGIN   // Node to hide/suppress
            AdvColumnGrid1.SuppressRows(i, i + AdvColumnGrid1.GetNodeSpan(i) - 1)
        END;
    END;
//       for I := 15 downto 1 do
//       begin
//          IF AdvColumnGrid1.Cells[1, i] = '2' THEN
//          BEGIN
//             AdvColumnGrid1.SuppressRow(i);
//          END;   // Fin de IF
//       end;

end;

procedure TForm1.bUnHideClick(Sender: TObject);
begin
    AdvColumnGrid1.UnSuppressAllRows;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
    i, j, k: integer;
begin
    k := 0;
    FOR I := 1 TO 3 DO
    BEGIN
        FOR j := 1 TO 5 DO
        BEGIN
            AdvColumnGrid1.Cells[1, k +j ] := IntToStr(i);
            AdvColumnGrid1.Cells[2, k +j] := 'A' + IntToStr(j);
            AdvColumnGrid1.Cells[3, k +j ] := IntToStr(i);
        END;   // Fin de FOR
        k := k + 5;
    END;   // Fin de FOR
end;

end.
